GET /translate/status/{job_id} Requires Auth

Get job status

Check the status and progress of an asynchronous translation job

Test Endpoint

Parameters

job_id * path string

Job identifier returned from async translation

Example:

a1b2c3d4

Code Examples

curl -X GET \
  -H 'Authorization: Bearer YOUR_API_TOKEN' \
  -H 'Content-Type: application/json' \
  'https://nexus-api.dhurgham.dev/api/file-translation-api/translate/status/a1b2c3d4'
Example cURL Request
curl -X GET \
  -H 'Authorization: Bearer YOUR_API_TOKEN' \
  'https://nexus-api.dhurgham.dev/api/file-translation-api/translate/status/a1b2c3d4'
frontend.example_response
{
    "success": true,
    "job_id": "a1b2c3d4",
    "status": "running",
    "progress": 45,
    "result_url": "https://nexus-api.dhurgham.dev/api/file-translation-api/translate/result/a1b2c3d4",
    "download_url": "https://nexus-api.dhurgham.dev/api/file-translation-api/dl/abc123",
    "error": "Translation failed: ..."
}